<div class="card noHover">
    <div class="card-header" id="quiz-details">
      <span class="d-inline">
        <h5 class="mb-0 d-inline">
            Quiz "{{quiz.title}}"
        </h5>
      </span>
    </div>
    <div class="card-body">
      <form [formGroup]="form">
        <div id="accordion">
          
          <div class="card noHover" *ngFor="let qround of closedRounds; index as i">
            <div class="card-header" id="headingOne">
             <span class="d-inline" >
                  <h5 class="mb-0 d-inline">
                      Runde {{i+1}}: "{{qround.round.title}}"
                    </h5>
                  <button class="btn btn-link d-inline" data-toggle="collapse" [attr.data-target]="'#collapse-'+qround.round.id" aria-expanded="true" aria-controls="'#collapse-'+qround.round.id">
                       <i class="fa fa-arrow-down"></i>
                  </button>
                    <span class="badge badge-primary badge-pill"></span>
                </span>
    
            </div>
      
        
            <div [attr.id]="'collapse-'+qround.round.id" class="collapse" aria-labelledby="headingOne" data-parent="#accordion" >
              <div class="card-body">
                
                  <div class="list-group list-group-flush container-fluid">
                      <div  class="row list-group-item list-group-item-action" *ngFor="let question of qround.activatedQuestions; index as i">
                        <div class="card fluid-container">
                            <div class="card-header row"> 
                                <div class="col-md-8">{{i+1}}:  Question: {{question.content}}</div>
                                <div class="col-md-4" >Answer:<h6>{{question.answer}}</h6></div> 
                            </div> 
                            
                            <div class="card-body list-group list-group-flush container-fluid">
                                <div  class="row list-group-item list-group-item-action" *ngFor="let guess of guessesOfQuestion(question)">
                                    <h6 class="guess-content">{{guess.content}}</h6> by <a [routerLink]="['../teams', guess.teamId]">{{findTeam(guess).name}} </a>
                                    <div class="form-check form-check-inline col-md-2">
                                        <label class="form-check-label" [attr.for]="'checkbox-'+ guess.id">  
                                        </label>
                                        <input class="form-check-input" type="checkbox" (click)="toggleCorrect($event, guess)"
                                          [attr.id]="'checkbox-'+ guess.id"
                                          [checked]="guess.isCorrect">
                                          
                                    </div>
                                </div>
                              
                              
                            </div>

                        </div>
                          
                          
                          
                      </div>
                  </div>  
      
              </div>
            </div>
          </div>
          
        </div>
      
      </form>
    </div>
  </div>
  
